Skip to main content
POST
/
webhook
cURL
curl --request POST \
  --url https://www.landing.so/api/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "triggers": [
    "lead.created"
  ]
}
'
import requests

url = "https://www.landing.so/api/webhook"

payload = {
"url": "<string>",
"triggers": ["lead.created"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', triggers: ['lead.created']})
};

fetch('https://www.landing.so/api/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token for authentication

Body

application/json

Webhook to create

url
string<uri>
required

The URL where webhook events will be sent

triggers
enum<string>[]
required

Array of event types that trigger this webhook

Available options:
lead.created

Response

webhook created successfully

id
string
required

Unique identifier of the created webhook